Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
re_registers Struct Reference

`#include <onigmo.h>`

## Data Fields
int | allocated
int | num_regs
OnigPosition * | beg
OnigPosition * | end

## Detailed Description

Definition at line 716 of file onigmo.h.

## Field Documentation

## ◆ allocated

int re_registers::allocated

Definition at line 717 of file onigmo.h.

Referenced by onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), onig_region_set(), and rb_reg_region_copy().

## ◆ beg

OnigPosition* re_registers::beg

Definition at line 719 of file onigmo.h.

Referenced by onig_name_to_backref_number(), onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), and onig_region_set().

## ◆ end

OnigPosition* re_registers::end

Definition at line 720 of file onigmo.h.

Referenced by onig_region_clear(), onig_region_copy(), onig_region_free(), onig_region_init(), onig_region_memsize(), onig_region_resize(), onig_region_set(), and onig_scan().

## ◆ num_regs

int re_registers::num_regs

Definition at line 718 of file onigmo.h.

Referenced by onig_region_clear(), onig_region_copy(), onig_region_init(), and onig_region_resize().

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h